> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# amountclass

> GenericMDOProvider reads MDO lists with default settings

## "amountclass" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'amountclass'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/amountclass
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("amountclass", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo |
| -- | ----------- | --------- | --------- |
| 4  | Extra large |           |           |
| 3  | Large       |           |           |
| 2  | Medium      |           |           |
| 1  | Small       |           |           |

## Related MDO Lists

* "amountclassheadings"
* "amountclassheadingswithallitem"
* "amountclassheadingswithallitemwithnoselection"
* "amountclassheadingswithnoselection"
* "amountclasswithallitem"
* "amountclasswithallitemwithnoselection"
* "amountclasswithnoselection"


## Related topics

- [AmountClass table](/en/database/tables/amountclass.md)
- [AmountClassHeadingLink table](/en/database/tables/amountclassheadinglink.md)
- [AmountClassGroupLink table](/en/database/tables/amountclassgrouplink.md)
- [SuperOffice.WebApi.Data.AmountClassEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.AmountClassEntity.md)
- [SuperOffice.WebApi.Agents.IListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IListAgent.md)
- [SuperOffice.WebApi.Agents.ListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ListAgent.md)
